#!/usr/bin/env python

import mobius
import sys

def print_imagefile_info (imagefile):
  for data in imagefile.get_metadata ():
    print '%s: %s' % (data.description, data.value)

for uri in sys.argv[1:]:
   print
   print ">>", uri

   imagefile = mobius.imagefile.new_imagefile_from_url (uri)

   if imagefile.is_available ():
     print_imagefile_info (imagefile)
